List inbound integrations
curl --request GET \
--url https://{region}.api.plerion.com/v1/tenant/integrations \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.api.plerion.com/v1/tenant/integrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.api.plerion.com/v1/tenant/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"integrationId": "31497927-86af-4fba-afc6-c0cf2311a55b",
"name": "AWS Production Account",
"tenantId": "12345678-86af-4fba-afc6-c0cf12345678",
"organizationId": "12345678-86af-4fba-afc6-c0cf87654321",
"schedule": "59 6 * * *",
"scanInterval": 24,
"createdAt": "2023-02-04T06:07:09.092Z",
"updatedAt": "2023-02-05T06:07:02.959Z",
"provider": "AWS",
"type": "AWSAccount",
"detectionSettingId": "12345678-86af-4fba-afc6-c0cf87654321",
"status": "Active",
"riskScore": 8.19,
"awsAccountId": "123456789012"
}
],
"meta": {
"perPage": 1,
"cursor": "ODcwMWUxOWYtYzg2OC00Mjc3LWE5ZTQtZWE5MWEzZTg1MGUz",
"total": 42
}
}{
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"message": "Internal server error"
}List inbound integrations in a tenant
Use the list integrations API to list all inbound integrations that have been added across the tenant.
GET
/
v1
/
tenant
/
integrations
List inbound integrations
Authorizations
Bearer API Key. For example, "Bearer {Tenant API Key}"
Headers
Bearer API Key. For example, "Bearer {Tenant API Key}"
application/json
Query Parameters
Specify the batch size of the list. Used for pagination
Example:
2
Cursor to get next batch of result. Used for pagination
Example:
"dGhhbmt5b3UtZm9yLWRlY29kaW5nLWhhdmUtYS1nb29kLWRheTop"
Include the total count of available integrations
Example:
true
Response
Integrations list
data
(AWS Integration Response · object | Azure Integration Response · object | GCP Integration Response · object | Other Integration Response · object)[]
- AWS Integration Response
- Azure Integration Response
- GCP Integration Response
- Other Integration Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?